{ pkgs ? (import <nixpkgs> {}).c.unstable_2020-05}:

let
  spaceauth = pkgs.callPackage "${pkgs.fetchgit {
    url = "http://code.hackerspace.pl/vuko/nix-spaceauth";
    rev = "1c289eafe041d7730a834bb437b7173ca4b9e2c9";
    sha256 = "0f2mhbkm92rlx3a1il3wfr4bq6xghdiajczgg349v6a01iazm4qz";
  }}/spaceauth.nix" {};
in pkgs.python3Packages.buildPythonPackage {
  pname = "checkinator";
  version = "0.2";

  doCheck = false;
  src = ./.;

  propagatedBuildInputs = with pkgs; [
    python3Packages.gunicorn
    python3Packages.flask
    python3Packages.pyyaml
    python3Packages.isodate
    python3Packages.requests
    python3Packages.requests-unixsocket
    python3Packages.grpcio
    python3Packages.grpcio-tools
    python3Packages.setuptools
    python3Packages.protobuf
    spaceauth
    iproute
  ];
}
